Authen::Krb5::Keytab(3pm)

NAME
Authen::Krb5::Keytab - A Kerberos 5 keytab

VERSION
version 1.906

METHODS

  add_entry(entry)
Adds entry to the keytab.

  remove_entry(entry)
Removes entry from the keytab.

  get_name()
Returns the name of the keytab.

  "get_entry(principal[, kvno, enctype])"
Returns an Authen::Krb5::KeytabEntry object representing an entry in the keytab matching principal and optionally kvno and enctype.

  start_seq_get()
Returns a cursor that can be passed to <next_entry() to read in turn every key in the keytab.

  next_entry(cursor)
Returns the next entry in the keytab as an Authen::Krb5::KeytabEntry object.

  end_seq_get(cursor)
Perform cleanup opreations after next_entry() and invalidates cursor.

AUTHOR
Jeff Horwitz <jeff@smashing.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2000 by Jeff Horwitz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.